From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Subject: [PATCH] catgirl takes options, options take arguments
Date: Wed, 30 Jun 2021 01:39:50 +0000
Message-Id: <20210630013950.74868-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

---
 catgirl.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/catgirl.1 b/catgirl.1
index 8079445..9dbc6e9 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -82,7 +82,7 @@ The options are listed below
 following their corresponding flags.
 .
 .Pp
-The arguments are as follows:
+The options are as follows:
 .Bl -tag -width Ds
 .It Fl C Ar util | Cm copy No = Ar util
 Set the utility used by
-- 
2.32.0


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.7\))
Subject: Re: [PATCH] catgirl takes options, options take arguments
From: june <june@causal.agency>
In-Reply-To: <20210630013950.74868-1-klemens@posteo.de>
Date: Sun, 4 Jul 2021 09:09:45 -0400
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: 7bit
Message-Id: <6CAE5433-9CA7-477B-937C-33DB6D2FC356@causal.agency>
References: <20210630013950.74868-1-klemens@posteo.de>
To: Klemens Nanni <klemens@posteo.de>

Really? This is a stock phrase from mdoc(7), and who cares?

From mboxrd@z Thu Jan  1 00:00:00 1970
Date: Sun,  4 Jul 2021 14:01:16 +0000
From: Klemens Nanni <klemens@posteo.de>
To: june <june@causal.agency>
Cc: list+catgirl@causal.agency
Subject: Re: [PATCH] catgirl takes options, options take arguments
Message-ID: <YOG/LBCyqr/LesOD@eru>
References: <20210630013950.74868-1-klemens@posteo.de>
 <6CAE5433-9CA7-477B-937C-33DB6D2FC356@causal.agency>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <6CAE5433-9CA7-477B-937C-33DB6D2FC356@causal.agency>

On Sun, Jul 04, 2021 at 09:09:45AM -0400, june wrote:
> Really? This is a stock phrase from mdoc(7), and who cares?
Seems pedantic but i care for the details -- feel free to ignore this.

catgirl(1)'s DESCRIPTION talks about "options", so the use of
"arguments" is rather inconsistent;  you'll find almost all of OpenBSD's
base manuals use "options" not "arguments" in that sentence.

I think mdoc(7) is wrong, I just sent a patch for that as well, thanks.

From mboxrd@z Thu Jan  1 00:00:00 1970
Date: Sun,  4 Jul 2021 16:02:20 +0000
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Subject: Re: [PATCH] catgirl takes options, options take arguments
Message-ID: <YOHbjKeUcuVceGN5@eru>
References: <20210630013950.74868-1-klemens@posteo.de>
 <6CAE5433-9CA7-477B-937C-33DB6D2FC356@causal.agency>
 <YOG/LBCyqr/LesOD@eru>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YOG/LBCyqr/LesOD@eru>

On Sun, Jul 04, 2021 at 02:01:16PM +0000, Klemens Nanni wrote:
> catgirl(1)'s DESCRIPTION talks about "options", so the use of
> "arguments" is rather inconsistent;  you'll find almost all of OpenBSD's
> base manuals use "options" not "arguments" in that sentence.
> 
> I think mdoc(7) is wrong, I just sent a patch for that as well, thanks.

FWIW, I just committed a fix to mdoc(7) to not say arguments when it means
options:

	DESCRIPTION
	...
	It usually follows with a breakdown of the options (if documenting
	a command), such as:

		The options are as follows:
		.Bl -tag -width Ds
		.It Fl v
		Print verbose information.
		.El

	List the options in alphabetical order, uppercase before lowercase
	for each letter and with no regard to whether an option takes an
	argument.  Put digits in ascending order before all letter options.


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.7\))
Subject: Re: [PATCH] catgirl takes options, options take arguments
From: june <june@causal.agency>
In-Reply-To: <YOHbjKeUcuVceGN5@eru>
Date: Tue, 20 Jul 2021 13:46:28 -0400
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: quoted-printable
Message-Id: <097A43BA-F8E5-4BDA-93D9-E67B8B951854@causal.agency>
References: <20210630013950.74868-1-klemens@posteo.de>
 <6CAE5433-9CA7-477B-937C-33DB6D2FC356@causal.agency> <YOG/LBCyqr/LesOD@eru>
 <YOHbjKeUcuVceGN5@eru>
To: Klemens Nanni <klemens@posteo.de>

I ended up removing this sentence as redundant. The previous sentence,
=E2=80=9CThe options are listed below following their corresponding =
flags,=E2=80=9D
already introduces them as options.


